Package org.apache.aries.jax.rs.whiteboard.activator

## Class CxfJaxrsBundleActivator

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.activator.CxfJaxrsBundleActivator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

    @Header(name="Bundle-Activator",
            value="${@class}")
    public class CxfJaxrsBundleActivator
    extends Object
    implements org.osgi.framework.BundleActivator

### Field Summary

Fields
`static List<Class<?>>` `INTERNALLY_REQUIRED_CLASSES`

### Constructor Summary

Constructors
`CxfJaxrsBundleActivator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `start​(org.osgi.framework.BundleContext bundleContext)`
`void` `stop​(org.osgi.framework.BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INTERNALLY_REQUIRED_CLASSES

    public static final List<Class<?>> INTERNALLY_REQUIRED_CLASSES

### Constructor Detail

#### CxfJaxrsBundleActivator

    public CxfJaxrsBundleActivator()

### Method Detail

#### start

    public void start​(org.osgi.framework.BundleContext bundleContext)
               throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`

#### stop

    public void stop​(org.osgi.framework.BundleContext context)
              throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`